Installing the Newest Version of LPX & FCPX on macOS Sierra 10.12.6!

MapleGreen

macrumors member
Original poster
Jun 25, 2019
76
5
Hi there
Is it possible to install newest version of Logic Pro X 10.4.5 and Final Cut Pro X 10.4.6 on macOS Sierra 10.12.6?
Because they have the minimum requirement of high sierra 10.13.6
I tried to edit plist info to change the minimum os requirement but newer versions are somehow protected
Is there any other way?
 

chrfr

macrumors G3
Jul 11, 2009
8,600
2,788
Hi there
Is it possible to install newest version of Logic Pro X 10.4.5 and Final Cut Pro X 10.4.6 on macOS Sierra 10.12.6?
Because they have the minimum requirement of high sierra 10.13.6
I tried to edit plist info to change the minimum os requirement but newer versions are somehow protected
Is there any other way?
They won't run on Sierra. Apple's apps rely on system features which aren't there in the old versions of macOS.